env:
   LIBS:
       - MPlantCore
   LIBPATHS:
       - ../MPlant/bin
   INCPATHS:
       - ../MPlant/core/include

includes:
    - <TQueue.h>

tests:
    - name: TQueue-001
      desc: Enqueue/Dequeue
      test:
           - int i = 1;
           - int o = 0;
           - TQueue<int> q;
           - q.Enqueue(i);
           - q.Dequeue(o);
           - pass = (o == 1);

